
Figure - Bug #117301
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT3】【屏保】使用手机遥控器选中相应屏保后，点击ok键无响应
2023-04-03 11:55 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-03

Priority: Normal Due date: 2023-04-07

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-10

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、设备和遥控器连接

2、使用手机遥控器选中相应屏保后（应用框）

3、点击遥控器Ok键

【预期结果】

3、更新为选中的屏保

【实际结果】

3、点击ok键无响应

History

#1 - 2023-04-04 10:19 - CD APP-王营

- Due date set to 2023-04-07

- Status changed from New to ASSIGNED

#2 - 2023-04-08 19:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192557 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver : Fix the controller key issue1.Fixed issue where the OK key on the remote control did not work.TC-RID: 1201-0300601IssueID:

TS-R-BUG-117301Change-Id: Ic45c9ad4dd0dc2968a51dfcec4b2c1b77e793e4f

#3 - 2023-04-08 22:28 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-10

- Root cause set to 编码问题

■ Current conclusion

问题已处理，待验证

■ My analysis

自定义不可滚动ViewPager中屏蔽了KEYCOE_DEPAD_CENTER事件的传递，此事件需要向其子View分发

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/192557

#4 - 2023-04-11 13:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

4.11

验证通过

#5 - 2023-04-11 13:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
